Subject: Vs: NIS2 registration in Estonia
From: "Liina Lumiste" <[email-masked]>
To: Tanja Seppänen <[email-masked]>
Date: Thu, 12 Mar 2026 15:45:40 +0200

Dear Ms Seppänen,

Thank you for your inquiry.
The NIS2 notification can be submitted by a member of the management board
of the service provider in the entrepreneur’s view of the state portal
eesti.ee: eesti.ee > E-services > Cybersecurity (requires login).
The service provider shall submit at least the following information to
RIA:

*	name and registry code;
*	address of the place of business and up-to-date contact details,
including e-mail addresses, Internet Protocol address ranges and telephone
numbers;
*	where applicable, also the sector and subsector referred to in
Annex I or II to Directive (EU) 2022/2555 of the European Parliament and
of the Council.

In Estonian, the respective information is available here:
https://ria.ee/kuberturvalisus/riigi-infoturbe-meetmete-haldus/teenuseosut
aja-eits-auditi-iso-sertifikaadi-pilvandmetootluse-teade
I hope this is of assistance.

With kind regards,

Liina Lumiste

Legal Advisor

[email-masked] <mailto:[email-masked]>

+372 55617734

Information System Authority

Pärnu mnt 139a, 15169 Tallinn

ria.ee

  _____

Saatja: Riigi Infosüsteemi Amet <[email-masked]>
Saadetud: neljapäev, 12. märts 2026 15:24
Adressaat: Liina Lumiste <[email-masked]>
Teema: Ed: NIS2 registration in Estonia

Saatja: Tanja Seppänen <[email-masked]>
Saatmisaeg: reede, 6. märts 2026 14:29
Adressaat: Riigi Infosüsteemi Amet <[email-masked]>
Teema: NIS2 registration in Estonia

You don't often get email from [email-masked]
<mailto:[email-masked]> .
<https://aka.ms/LearnAboutSenderIdentification> Learn why this is
important

E-kiri saadeti väljastpoolt RIA-t. Kui Sa ei tunne saatjat, siis ära ava
linke ega manuseid!

Hi,

I’m working on the NIS2 registrations for Paulig in different European
countries. I’m wondering if you can guide me forward on the NIS2
registration for Estonia. I have been checking ria.ee for instructions (in
English) but didn’t manage to find much yet. Maybe you have an information
package for non-Estonian speakers? Or alternatively – is the registration
form available online for everyone to see, even if in Estonian? I would
collect the necessary data and ask a local colleague to help submitting it
to the authorities.

Best regards / Ystävällisin terveisin,

Tanja Seppänen
Information Security Specialist
Mob +358 40 184 3032

Paulig
Satamakaari 20
FI-00980 Helsinki, Finland
pauliggroup.com